# A modpack for a more challenging solo or duo playthough.

It's balanced towards solo and duo play, though it might need some tweaking for your own use. Nearly every mod has a custom config in order to cut down on material grinding and adding a bunch of custom items. Although it is new player friendly, the difficulty does ramp up to provide a more challenging experience than vanilla Valheim.
Every mod gets playtested before being added but I'm not a modder, just a config monkey. The configs will probably be adjusted on a nearly daily basis for a while due to playtesting it with several different people of varying amounts of experience with Valheim.  

**Whenever you update this modpack it will push all the current config files again. This means that if you adjusted them for your own personal playstyle you should back up your config files before updating, then replace them again afterwards.**

## All credit goes to the original mod creators!

Without them, none of us would be able to enjoy the vast amount of mods available. Special thanks for the OdinPlus Discord for supporting the community as best as they can.
In case you're having any issues with the mods at all I highly recommend checking their Discord. 

**If you really enjoy any of these mods, consider donating to the author of your favorite one!**

## Some of the features from the mods:

- Automatic feeding of tamed animals from containers;
- Kilns and smelters are supplied from nearby containers;
- Wards prevent enemies from spawning in a large radius;
- No more weather damage to your wood;
- Dual wield weapons! Not spears though;
- Extra skills for blacksmithing, cooking, evading, farming, hunting, lumberjacking, sailing & vitality;
- Lots of extra building pieces, ships, wild animals and mount drops;
- Added recipes for extra convenience;
- Special storage containers;
- Crafting from containers nearby and automatic sorting to containers when depositing loot;
- Passive & active boss powers;
- Bosses now have a chance to drop special weapons, which can be upgraded throughout the game.

## A few important keybindings:

- Holding shift while picking up things makes you pick up all of that same item in a radius;
- Press Shift to toggle planting multiple crops in one go;
- Grid snapping is bound to Alt (or F7 to toggle), when placing and item you can use the C, B and V keys to rotate the item X, Y & Z axis;
- You can see your mount book by pressing F9 and summon a mount from it using F10, the books for these can be crafted after finding random drop mount summon from several mobs;
- While drawing a bow you can press left alt to zoom in;
- Delete items you no longer want by clicking on them in your inventory and then press the Delete key. This returns some materials too.

## Additional Recommendations:
- MinimalUI by Azumatt -> [HERE](https://valheim.thunderstore.io/package/Azumatt/Minimal_UI/)

## Suggestions or questions?

You can find me on Discord: Zaphonia#2187. I'm not a modder and can most likely not help you with any errors you may encounter, I once again recommend the OdinPlus Discord channel for that.
The modpack is still being playtested for solo (up to, but not including, Mistlands), duo (up to Plains) and trio (up to Mountains). 

## Upcoming

- Adding more recipes to the Steel Forge;
- Balancing Mistlands before & after the boss is killed;
- Overhauling the Boss weapon drops;
- Switching to and setting up WardIsLove over BetterWards.

## Changelog

### v0.2.4
- Switched OdinCraftyBoxes to AzuCraftyBoxes, please remove OdinCraftyBoxes;
- Changed the recipe for Cosmic Deer Book;
- Increased the drop rate for mount summons from their respective wild versions;
- Increased the chance for touger enemies to spawn at a higher star rate after their relevant biome boss has been defeated.

<details open>
<summary>Older changelogs</summary>
<br>

### v0.2.3

- Reduced the pickup range for collectables to 6 to prevent game freezes;
- **Removed dependancy for MinimalUI. Though still highly recommended I no longer support this mod since everyone has their own prefered UI and settings;**
- **Removed dependancy for AutoFuel and switched to AutomaticFuel, please remove AutoFuel as it might cause conflicts.**

### v0.2.2

- Fixed the knockback on the bonemass 2h club to be in line with other sledges;
- Decreased the movement speed penalties on most boss drop 2h weapons; 
- Updated configs for new version of Majestic Chicken.

### v0.2.1

- Fixed the Cosmic Deer Statue recipe;
- Fixed an issue causing Cosmic Chickens not to deaggro;
- Slightly increased speed and damage for dual daggers.

### v0.2.0

- Difficulty tweaks;
- Added the Slope Combat Assistance mod for playtesting;
- Total Dual Wielding revamp; attack speed generally went up and overal damage will be lower, rewarding the dangerous play of not having a shield for dealing additional damage, but not dealing overwhelming amounts of it.
- Haldor rebalance.

### v0.1.3

- Hotfix for weight and floating items;
- Added a configurable pickup radius but left the value low to prevent accidental looting;
- Added custom configs for new Jewelcrafting features.

### v0.1.2

- Hotfix to enable Haldor to sell his famous belt again;
- Fixed an issue that caused bosses not to drop the right amount of materials / trophies.

### v0.1.1

- Added NoFogBruh again to remove the ugly ground fog;
- Increased building costs for the advanced portals;
- Advanced portals now allow you to transport metals of your current biome instead of the previous one;
- Moved Growth to the Tough enemies list and reduced their additional damage per star.

### v0.1.0

- Updated for Valheim 0.214.300;
- Modor's boss drop bow now uses double durability to compensate for the damage it deals;
- Skeletons now use default infusion values instead of Swamp ones to prevent them from mostly spawning with Poison Infusion;
- Cosmic Bears added to specific star values depending on world level;
- **Removed dependancy on several mods: ConversionSizeAndSpeed, DropMoreLoot, Hunting, More and Modified Player Cloth Colliders, NoFogBruh, Shapekeys and More, SilenceTameWolfCub & SouthsilArmor. These can now be removed, do note that if you're using any of the Southsil Armors these would get removed from your character.**

### v0.0.7

- Changed the weaknesses on the Elder boss drop shield;
- Changed Dual Wielding to use a general skill instead of specific skills for each different weapon;
- Trader prices overhaul;
- Moved Cultists to the Hard enemies list for a lower star spawn rate.

### v0.0.6

- Monster difficulty tweaks;
- Boss affixes adjusted;
- Mount drops changed;
- Backpack max weight increase lowered.

### v0.0.5

- A few fixes related to the mounts;
- Added zoom from BowPlugin, Left Alt to zoom while drawing;
- Adjusted the difficulty;
- Performance tweaks;
- Added a full changelog txt to the config folder to allow me to condense earlier entries.

### v0.0.4

- Fixed a small but important config mistake.

### v0.0.3

- CLLC adjustments for monsters and bosses;
- Fixed, added and adjusted some crafting recipes;
- Small tweaks to improve performance & playability in general;
- Changed the Boss gems from Jewelcrafting to be truly unique drops;
- **Removed dependancy of BowPack, Server_devcommands and World_Edit_Commands, can now be removed.**

### v0.0.2

- Minor tweaks to increase performance;
- Adjustments for CLLC;
- Weight rescaling;
- Trader update.

### v0.0.1

- Initial release
</details>